package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 销售合同变更-模板复审-审批意见表
 * </p>
 *
 * @author yafan
 * @since 2024-01-13
 */
@TableName("sales_contract_supplement_template_approval_comment_info")
public class SalesContractSupplementTemplateApprovalCommentInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 销售合同变更-模板复审Id
     */
    private Long salesContractSupplementTemplateApprovalId;

    /**
     * 审批意见
     */
    private String approvalComment;

    /**
     * 创建人
     */
    private String userCreate;

    /**
     * 修改人
     */
    private String userModified;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSalesContractSupplementTemplateApprovalId() {
        return salesContractSupplementTemplateApprovalId;
    }

    public void setSalesContractSupplementTemplateApprovalId(Long salesContractSupplementTemplateApprovalId) {
        this.salesContractSupplementTemplateApprovalId = salesContractSupplementTemplateApprovalId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }

    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementTemplateApprovalCommentInfo{" +
                "id=" + id +
                ", salesContractSupplementTemplateApprovalId=" + salesContractSupplementTemplateApprovalId +
                ", approvalComment=" + approvalComment +
                ", userCreate=" + userCreate +
                ", userModified=" + userModified +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                "}";
    }
}
